/**
 * i-net software provides programming examples for illustration only, without warranty
 * either expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and/or fitness for a particular purpose. This programming example
 * assumes that you are familiar with the programming language being demonstrated and
 * the tools used to create and debug procedures. i-net software support professionals
 * can help explain the functionality of a particular procedure, but they will not modify
 * these examples to provide added functionality or construct procedures to meet your
 * specific needs.
 *
 * Copyright © 1999-2024 i-net software GmbH, Berlin, Germany.
**/
package com.inet.application.googleanalytics.structure;

import com.inet.config.ConfigKey;

/**
 * ConfigKey for this plugin.
 */
public class GoogleAnalyticsConfigKeys {

    public static final ConfigKey TRACKING_ID     = new ConfigKey( "googleanalytics.trackingId", System.getProperty( "googleanalytics.trackingId", "" ), String.class );
    public static final ConfigKey GA4_TRACKING_ID = new ConfigKey( "googleanalytics.gtagId", System.getProperty( "googleanalytics.gtagId", "" ), String.class );
    public static final ConfigKey COOKIE_DOMAIN   = new ConfigKey( "googleanalytics.cookieDomain", System.getProperty( "googleanalytics.cookieDomain", "" ), String.class );
    public static final ConfigKey ANONYMIZE_IP    = new ConfigKey( "googleanalytics.anonymizeIp", System.getProperty( "googleanalytics.anonymizeIp", Boolean.TRUE.toString() ), Boolean.class );
    public static final ConfigKey TRACK_USERS     = new ConfigKey( "googleanalytics.trackUserId", System.getProperty( "googleanalytics.trackUserId", Boolean.FALSE.toString() ), Boolean.class );
}
